The tag has no wiki summary.

learn more… | top users | synonyms

3
votes
2answers
822 views

phpize: m4 error just in one extension

On Linux, I installed php 5.3.8 from source. Using phpize for installing an extension works fine but not on one specific extension (mysqlnd). # cd /opt/php/5.3.8/ext/pdo && ...
0
votes
2answers
193 views

memcached installation on LAMP issue

When trying to use memcached in my php script, i get class not found. I am running LAMP on Ubuntu 9.01 and have so far taken the following few steps: apt-get install memcached pecl install Memcache ...
3
votes
1answer
2k views

“Unable to initialize module” fileinfo php-pecl-Fileinfo.x86_64

I have a brand new server server that I am trying to get setup up. This is a 64 bit machine that I can not install "fileinfo" or "memcache". I have uninstalled these and reinstalled them using yum ...
1
vote
1answer
309 views

Error while installing php extension 'expect'

I got some serious error while installing expect extension in PHP. I ran sudo pecl install channel://pecl.php.net/expect-0.3.1 I got error like this while running make, running: make /bin/bash ...
1
vote
1answer
1k views

SUSE 12.1 Apache startup after oci8 installation

I have got a virtual server running opensuse 11.4 with apache, php, oracle instantclient, and oci installed through pecl. The steps it took for me to have it up and running on 11.4 were: # Install ...
1
vote
1answer
513 views

How to build/install calendar.so for php?

I did the usual untar/configure/build for php 5.2.13. Configure includes --enable-calendar Build works. I then run the libtool as instructed but no calendar.so is produced. How do I make ...
1
vote
1answer
430 views

API numbers don't match on compiled PHP extension

I'm trying to get GD into my PHP. I recently installed PHP5.3.0 on my system running Mac Leopard using mac ports. It did not come with the gd module. So I downloaded gd, compiled it as an extension ...
0
votes
1answer
20 views

Apache “No such file or directory” doesn't give me a file name

I'm using an Apache / Ubuntu config. After installing php-gd library, I am getting error messages in my /chroot/httpd/var/log/apache2/error.log file (/chroot/httpd/ being the "jail" in my chrooted ...
0
votes
1answer
36 views

Yum php-yaml install issues

We had an issue with an ansible playbook using vagrant - where formerly php-yaml was installing fine. Then, we were getting issues with our PHP repo: [vagrant@localhost ~]$ sudo yum install php-yaml ...
0
votes
1answer
104 views

PHP CLI with IMAP, 5 second startup delay

Having installed "php-imap-5.3.3-27.el6_5.x86_64" on a RedHat Enterprise 6.5 server, the CLI version of PHP always takes 5 seconds to run: php -n -d extension=imap.so -v PHP 5.3.3 (cli) (built: Dec ...
0
votes
1answer
219 views

Can't get pspell to work

I installed aspell\pspell, and if I do > aspell dump dicts ar cs de de_AT de_CH de_DE en en-variant_0 en-variant_1 en-variant_2 en-w_accents en-wo_accents en_CA en_CA-variant_0 en_CA-variant_1 ...
0
votes
1answer
382 views

Undefined symbol “php_libxml_disable_entity_loader”

I have php5.4 installed.It runs on freebsd server I also use soap.so extension. But when I start php script (new SoapClient) it stopped. Apache logs: tail -f /var/log/httpd-errors.log : ...
0
votes
1answer
119 views

can not load clamav-extension

I try to use the clamav-extension by following these steps. There weren't any errors, but after restarting apache, no clam-extension is loaded. php -v returns no errors. I've set the extension_dir ...
0
votes
1answer
603 views

PHP Suhosin extension is not loading

For some reason i have to adjust the suhosin.request.max_vars and suhosin.post.max_vars directives. I'm using ispCP, and it has default the suhosin patch, but as i read, i need to install the ...
0
votes
1answer
118 views

Which sql server php extension for Windows Server 2008 R2

I'e been developing on my local wiindows 7 machine with sql server using the php_sqlsrv_53_ts_vc6 PHP extension. I'm moving my application to the production server which diesn't have the extension ...
0
votes
1answer
825 views

How to fix Apache from crashing with PHP+Curl on an SSH request?

My Apache process segfaults whenever I call curl_exec() from PHP with an "https://" URL. If I use http instead of https as the URL transport, it works perfectly, so I know curl and the other curl ...
2
votes
0answers
240 views

MagickWand PHP Module DDL for Windows

I'm struggling with enabling MagickWand as a PHP extension which is ran on Windows (Apache). I am running PHP 5.3.x. (I need namespaces). I have been able to install MagickWand on PHP 5.2.4 but not ...
1
vote
0answers
462 views

Soap client in Centos6, zval_property_ctor in Unknown on line 0

We're having such a big problem in our Centos server in order to have working the SOAP client of PHP 5.3.3. One of our customers reported us that they were having problems to consume some webservices ...
1
vote
0answers
179 views

Error after installing mysqlnd_ms

I am working on Amazon EC2 using the Amazon Linux AMI which is based on CentOS. I have installed php54 and php54-mysqlnd. I then do a "sudo pecl install myslqnd_ms" This installs fine. I add the ...
0
votes
0answers
79 views

RedHat Yum Install Errors (PHP Module)

All, I am trying to use yum to install a PHP module which I expected to take all of five minutes... After quite a bit more than that I am stumped. Yum is throwing an error about a dependency missing ...
0
votes
0answers
162 views

Configure VestaCP - NGINX to be extension less

Currently, my VestaCP NGINX configuration is like this: location / { proxy_pass http://65.181.118.46:8080; location ~* ...
0
votes
0answers
129 views

How to install gearman on Ubuntu12.04 and php54?

I am trying to install gearman on my Ubuntu12.04 machine. I have upgraded php to version 5.4 via the ppa php5-oldstable. I downloaded the source of gearmand-1.1.12 and compiled it and installed it ...
0
votes
0answers
224 views

Issue Running Imagick module (PHP 5.4.13, WAMP server)

I have been trying to solve the issue with my production server for the past few hours now. The issue I am encountering relates to the PHP module Imagick (Image Magick). I am running a WAMP server on ...
0
votes
0answers
62 views

Installing xattr PECL extension in Ubuntu 12.10

I am trying to install extension xattr in my Ubuntu 12.10 . sudo pecl install xattr But I am getting the error as : checking for xattr files in default path... not found configure: error: Please ...
0
votes
0answers
283 views

Nginx + php-fpm + Zend Opcache + php 5.3.10 - Dynamic Generated CSS|JS

I have the Zend Opcache pecl extension working almost completely- except for that I have 4 files that technically are content-types of css and js - but are "php" files and get sent through fastcgi and ...
0
votes
0answers
80 views

uploadprogress.so is installed, but does not appear in phpinfo

I'm on RHEL6 (Red Hat Enterprise Linux Server release 6.5 (Santiago)), but I've upgraded PHP to version 5.4.16. I've downloaded and installed the PECL uploadprogress library version 1.0.3.1 that is ...
0
votes
0answers
303 views

How to check if php-apc is running?

I've installed APC using 'pecl install apc'... apc sucessfully installed... I copied this file /local/lib/php/apc.php to my www directory, to see stats: But accessing this url I can see it's not ...
0
votes
0answers
541 views

php extension COM_DOTNET.dll

I'm trying to add a PHP extension (PHP_COM_DOTNET)to my server, by writing the following in my php.ini [COM_DOT_NET] extension=php_com_dotnet.dll I downloaded the dll file and put it in my ext ...
0
votes
0answers
324 views

PHP extension (XHProf) installation problems with PHP 5.5.3

Recently I have upgraded my PHP on Ubuntu 10.04 to the lastest 5.5.3 version, and XHProf profiler stops working. I have compliled last version of xhprof PHP extension (either from official pecl site ...